#define NOMINMAX
#include <QFile>
#include <QTextStream>
#include <QtWidgets/QApplication>

#include "qvm_inspector.h"
#include "qvm_handlers.h"
#include "qvm_virtual_instructions.h"
#include "qvm_virtual_routines.h"
#include "darkstyle/DarkStyle.h"
#include "darkstyle/framelesswindow/framelesswindow.h"

int WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd )
{
    QApplication app( __argc, __argv );
    QApplication::setStyle( new DarkStyle );
    FramelessWindow FW;

    const auto g_main_window = new qvm_inspector;
    qvm_virtual_instructions VirtInstrsPanel( g_main_window );
    qvm_handlers VirtHandlerPanel( g_main_window );
    qvm_virtual_routines VirtualRoutinesPanel( g_main_window );

    FW.setContent( g_main_window );
    FW.setWindowIcon( QIcon( "icon.ico" ) );
    FW.show();
    return app.exec();
}